## python-openstackclient 6.6.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

cryptography>=2.7 # BSD/Apache-2.0
cliff>=3.5.0 # Apache-2.0
iso8601>=0.1.11 # MIT
openstacksdk>=2.0.0 # Apache-2.0
osc-lib>=2.3.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-novaclient>=18.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
stevedore>=2.0.1 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0 # BSD

# redirect tests in docs
whereto>=0.4.0 # Apache-2.0

# Install these to generate sphinx autodocs
aodhclient>=0.9.0 # Apache-2.0
gnocchiclient>=3.3.1 # Apache-2.0
osc-placement>=1.7.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-cyborgclient>=1.2.1 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-ironicclient>=2.3.0 # Apache-2.0
python-ironic-inspector-client>=1.5.0 # Apache-2.0
python-magnumclient>=2.3.0 # Apache-2.0
python-manilaclient>=2.0.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-octaviaclient>=1.11.0 # Apache-2.0
python-saharaclient>=1.4.0 # Apache-2.0
python-senlinclient>=1.1.0 # Apache-2.0
python-troveclient>=3.1.0 # Apache-2.0
python-watcherclient>=2.5.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
python-zunclient>=3.6.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (6.6.0-6) unstable; urgency=medium

  * Removed python3-saharaclient from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 08:38:19 +0100

python-openstackclient (6.6.0-5) unstable; urgency=medium

  * Add missing python3-simplejson (build-)depends (Closes: #1082696).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2024 09:38:17 +0200

python-openstackclient (6.6.0-4) unstable; urgency=medium

  * Removed extraneous dependency on python3-mock (Closes: #1071714).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 12:54:26 +0200

python-openstackclient (6.6.0-3) unstable; urgency=medium

  * Removed python3-karborclient from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 May 2024 14:26:37 +0200

python-openstackclient (6.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 23:06:56 +0200

python-openstackclient (6.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-muranoclient from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 08:05:09 +0100

python-openstackclient (6.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 22:10:52 +0100

python-openstackclient (6.3.0-3) unstable; urgency=medium

  * Blacklist tests.unit.common.test_module.TestModuleList (Closes: #1058097).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 16:22:02 +0100

python-openstackclient (6.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:53:10 +0200

python-openstackclient (6.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 12:43:02 +0200

python-openstackclient (6.2.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048950).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 12:53:00 +0200

python-openstackclient (6.2.0-3) unstable; urgency=medium

  * Add AUTHORS in the doc folder (Closes: #990337).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 12:20:22 +0200

python-openstackclient (6.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:49:20 +0200

python-openstackclient (6.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 08:46:33 +0100

python-openstackclient (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, removing versions satisfied in
    Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Feb 2023 12:13:52 +0100

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
 Sakirnth Nagarasa <sakirnth@gmail.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-aodhclient <!nodoc>,
 python3-barbicanclient <!nodoc>,
 python3-cinderclient,
 python3-cliff,
 python3-cloudkittyclient <!nodoc>,
 python3-coverage,
 python3-cryptography,
 python3-ddt,
 python3-designateclient <!nodoc>,
 python3-fixtures,
 python3-glanceclient,
 python3-gnocchiclient <!nodoc>,
 python3-hacking,
 python3-heatclient <!nodoc>,
 python3-ironic-inspector-client <!nodoc>,
 python3-ironicclient <!nodoc>,
 python3-iso8601,
 python3-keyring,
 python3-keystoneclient,
 python3-manilaclient <!nodoc>,
 python3-mistralclient <!nodoc>,
 python3-neutronclient <!nodoc>,
 python3-novaclient,
 python3-octaviaclient <!nodoc>,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 2.0.0),
 python3-osc-lib,
 python3-osc-placement,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslotest <!nocheck>,
 python3-osprofiler,
 python3-requests,
 python3-requests-mock,
 python3-searchlightclient <!nodoc>,
 python3-senlinclient <!nodoc>,
 python3-simplejson,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-subunit <!nocheck>,
 python3-tempest <!nocheck>,
 python3-testtools <!nocheck>,
 python3-troveclient <!nodoc>,
 python3-watcherclient,
 python3-wrapt,
 python3-zaqarclient <!nodoc>,
 python3-zunclient <!nocheck>,
 python3-zunclient <!nodoc>,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-openstackclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-cinderclient,
 python3-cliff,
 python3-cryptography,
 python3-glanceclient,
 python3-iso8601,
 python3-keyring,
 python3-keystoneclient,
 python3-neutronclient,
 python3-novaclient,
 python3-openstacksdk (>= 2.0.0),
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-pbr,
 python3-simplejson,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python-openstackclient-doc,
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

## python-openstackclient 6.6.1

=== debian/changelog ===
python-openstackclient (6.6.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:42:20 +0000

=== debian/control ===
--- 
+++ 
@@ -49,9 +49,9 @@
  python3-osprofiler,
  python3-requests,
  python3-requests-mock,
+ python3-saharaclient <!nodoc>,
  python3-searchlightclient <!nodoc>,
  python3-senlinclient <!nodoc>,
- python3-simplejson,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-stestr <!nocheck>,
  python3-stevedore,
@@ -106,7 +106,6 @@
  python3-oslo.i18n,
  python3-oslo.serialization,
  python3-pbr,
- python3-simplejson,
  python3-stevedore,
  ${misc:Depends},
  ${python3:Depends},

## python-openstackclient 7.1.2

=== debian/changelog ===
python-openstackclient (7.1.2-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Wed, 25 Sep 2024 08:53:00 +0000

python-openstackclient (7.1.2-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:33:01 +0100

python-openstackclient (7.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Drop, included in release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 14:55:07 +0100

python-openstackclient (6.6.0-0ubuntu2) noble; urgency=medium

  * d/p/lp-2002687-*: Add support for managing multiple gateways and
    BFD/ECMP options (LP: #2060656).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 09 Apr 2024 10:58:28 +0100

python-openstackclient (6.6.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/rules,exclude-list.txt: Skip test that failures due to patching
    under Python 3.12.

 -- James Page <james.page@ubuntu.com>  Mon, 08 Apr 2024 11:30:44 +0100

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 3.5.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-cyborgclient (>= 1.2.1),
 python3-ddt (>= 1.0.1),
 python3-designateclient (>= 2.7.0),
 python3-fixtures (>= 3.0.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.3.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 2.0.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-octaviaclient (>= 1.11.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 3.3.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 2.3.0),
 python3-osc-placement (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:3.1.0),
 python3-watcherclient (>= 2.5.0),
 python3-wrapt (>= 1.7.0),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.6.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstackclient
Homepage: https://opendev.org/openstack/python-openstackclient
Testsuite: autopkgtest-pkg-python

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 3.5.0),
 python3-cryptography (>= 2.7),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-openstacksdk (>= 3.3.0),
 python3-osc-lib (>= 2.3.0),
 python3-osc-placement (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:2.0.1),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

## python-openstackclient 7.1.4

=== debian/changelog ===
python-openstackclient (7.1.4-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Sun, 30 Nov 2025 18:41:34 +0000

python-openstackclient (6.6.1-2) UNRELEASED; urgency=medium

  * Add python3-vmmsclient as build-depends to gain bash-completion.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Nov 2025 23:33:38 +0100

python-openstackclient (6.6.1-1) UNRELEASED; urgency=medium

  * New upstream point release.
  * Add python3-requests as runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2025 09:44:52 +0200

## python-openstackclient 7.1.5

=== debian/changelog ===
python-openstackclient (7.1.5-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 15:19:46 +0000

python-openstackclient (7.1.4-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Nov 2025 14:20:12 +0100

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
 Sakirnth Nagarasa <sakirnth@gmail.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-aodhclient <!nodoc>,
 python3-barbicanclient <!nodoc>,
 python3-cinderclient,
 python3-cliff,
 python3-cloudkittyclient <!nodoc>,
 python3-coverage,
 python3-cryptography,
 python3-ddt,
 python3-designateclient <!nodoc>,
 python3-fixtures,
 python3-glanceclient,
 python3-gnocchiclient <!nodoc>,
 python3-hacking,
 python3-heatclient <!nodoc>,
 python3-ironic-inspector-client <!nodoc>,
 python3-ironicclient <!nodoc>,
 python3-iso8601,
 python3-keyring,
 python3-keystoneclient,
 python3-manilaclient <!nodoc>,
 python3-mistralclient <!nodoc>,
 python3-neutronclient <!nodoc>,
 python3-novaclient,
 python3-octaviaclient <!nodoc>,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 2.0.0),
 python3-osc-lib,
 python3-osc-placement,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslotest <!nocheck>,
 python3-osprofiler,
 python3-requests,
 python3-requests-mock,
 python3-searchlightclient <!nodoc>,
 python3-senlinclient <!nodoc>,
 python3-simplejson,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-subunit <!nocheck>,
 python3-tempest <!nocheck>,
 python3-testtools <!nocheck>,
 python3-troveclient <!nodoc>,
 python3-vmmsclient,
 python3-watcherclient,
 python3-wrapt,
 python3-zaqarclient <!nodoc>,
 python3-zunclient <!nocheck>,
 python3-zunclient <!nodoc>,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-openstackclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-cinderclient,
 python3-cliff,
 python3-cryptography,
 python3-glanceclient,
 python3-iso8601,
 python3-keyring,
 python3-keystoneclient,
 python3-neutronclient,
 python3-novaclient,
 python3-openstacksdk (>= 2.0.0),
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-pbr,
 python3-requests,
 python3-simplejson,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python-openstackclient-doc,
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

## python-openstackclient 7.2.1

=== debian/changelog ===
python-openstackclient (7.2.1-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:23:53 +0000

## python-openstackclient 7.4.0

=== requirements.txt ===
--- 
+++ 
@@ -7,10 +7,10 @@
 cryptography>=2.7 # BSD/Apache-2.0
 cliff>=3.5.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-openstacksdk>=2.0.0 # Apache-2.0
+openstacksdk>=3.3.0 # Apache-2.0
 osc-lib>=2.3.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 python-keystoneclient>=3.22.0 # Apache-2.0
-python-novaclient>=18.1.0 # Apache-2.0
 python-cinderclient>=3.3.0 # Apache-2.0
+requests>=2.27.0 # Apache-2.0
 stevedore>=2.0.1 # Apache-2.0

=== debian/changelog ===
python-openstackclient (7.4.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:47:04 +0000

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 gustavo panizzo <gfa@zumbi.com.ar>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 3.5.0),
 python3-cryptography (>= 2.7),
 python3-cyborgclient (>= 1.2.1),
 python3-ddt (>= 1.0.1),
 python3-designateclient (>= 2.7.0),
 python3-fixtures (>= 3.0.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.3.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 2.0.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-octaviaclient (>= 1.11.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 3.3.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 2.3.0),
 python3-osc-placement (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:3.1.0),
 python3-watcherclient (>= 2.5.0),
 python3-wrapt (>= 1.7.0),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.6.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstackclient
Homepage: https://opendev.org/openstack/python-openstackclient
Testsuite: autopkgtest-pkg-python

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-cliff (>= 3.5.0),
 python3-cryptography (>= 2.7),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.22.0),
 python3-openstacksdk (>= 3.3.0),
 python3-osc-lib (>= 2.3.0),
 python3-osc-placement (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 1.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-stevedore (>= 1:2.0.1),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=openstackclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Generate bash completion
	pkgos-gen-completion --py3 openstack

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build build .testrepository doc/source/api

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --exclude-list $(CURDIR)/debian/exclude-list.txt
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-openstackclient 7.5.0

=== debian/changelog ===
python-openstackclient (7.5.0-2~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Fix_openstack_quota_show_without_cinder.patch (Closes: #1109288).

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Wed, 08 Oct 2025 22:08:16 +0000

python-openstackclient (7.5.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 13:07:43 +0200

python-openstackclient (7.4.0-3) unstable; urgency=medium

  * Re-upload.

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Mar 2025 10:27:26 +0100

python-openstackclient (7.4.0-2) unstable; urgency=medium

  * d/watch: switch to version=4 and mode=git.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:53:08 +0100

python-openstackclient (7.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 09:55:34 +0100

## python-openstackclient 8.1.0+git2025070715.9d3a956a

=== requirements.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 cryptography>=2.7 # BSD/Apache-2.0
-cliff>=3.5.0 # Apache-2.0
+cliff>=4.8.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-openstacksdk>=3.3.0 # Apache-2.0
+openstacksdk>=4.5.0 # Apache-2.0
 osc-lib>=2.3.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 python-keystoneclient>=3.22.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (8.1.0+git2025070715.9d3a956a-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Include PBR version.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 14 Jul 2025 15:11:11 -0700

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
  python3-cinderclient (>= 1:3.3.0),
- python3-cliff (>= 3.5.0),
+ python3-cliff (>= 4.8.0),
  python3-cryptography (>= 2.7),
  python3-cyborgclient (>= 1.2.1),
  python3-ddt (>= 1.0.1),
@@ -32,6 +32,7 @@
  python3-ironicclient (>= 2.3.0),
  python3-iso8601 (>= 0.1.11),
  python3-keystoneclient (>= 1:3.22.0),
+ python3-magnumclient (>= 2.3.0),
  python3-manilaclient (>= 2.0.0),
  python3-mistralclient (>= 1:3.1.0),
  python3-mock (>= 2.0.0),
@@ -39,7 +40,7 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-octaviaclient (>= 1.11.0),
  python3-openstackdocstheme (>= 2.2.1),
- python3-openstacksdk (>= 3.3.0),
+ python3-openstacksdk (>= 4.4.0),
  python3-os-client-config (>= 1.28.0),
  python3-osc-lib (>= 2.3.0),
  python3-osc-placement (>= 1.7.0),
@@ -48,7 +49,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
- python3-requests (>= 2.14.2),
+ python3-requests (>= 2.27.0),
  python3-requests-mock (>= 1.2.0),
  python3-saharaclient (>= 1.4.0),
  python3-senlinclient (>= 1.1.0),
@@ -93,18 +94,18 @@
 Depends:
  python3-babel (>= 2.3.4),
  python3-cinderclient (>= 1:3.3.0),
- python3-cliff (>= 3.5.0),
+ python3-cliff (>= 4.8.0),
  python3-cryptography (>= 2.7),
  python3-iso8601 (>= 0.1.11),
  python3-keystoneclient (>= 1:3.22.0),
- python3-openstacksdk (>= 3.3.0),
+ python3-openstacksdk (>= 4.5.0),
  python3-osc-lib (>= 2.3.0),
  python3-osc-placement (>= 1.7.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 1.2.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-requests (>= 2.14.2),
+ python3-requests (>= 2.27.0),
  python3-stevedore (>= 1:2.0.1),
  ${misc:Depends},
  ${python3:Depends},

## python-openstackclient 8.2.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 cryptography>=2.7 # BSD/Apache-2.0
 cliff>=4.8.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-openstacksdk>=4.5.0 # Apache-2.0
+openstacksdk>=4.6.0 # Apache-2.0
 osc-lib>=2.3.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 python-keystoneclient>=3.22.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -19,11 +19,8 @@
 python-magnumclient>=2.3.0 # Apache-2.0
 python-manilaclient>=2.0.0 # Apache-2.0
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
-python-muranoclient>=0.8.2 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-octaviaclient>=1.11.0 # Apache-2.0
-python-saharaclient>=1.4.0 # Apache-2.0
-python-senlinclient>=1.1.0 # Apache-2.0
 python-troveclient>=3.1.0 # Apache-2.0
 python-watcherclient>=2.5.0 # Apache-2.0
 python-zaqarclient>=1.0.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (8.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Fix underscore syntax for new versions.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/p/fix-pyproject-auto-discovery.patch: Add tests back.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 16 Sep 2025 11:26:58 -0700

python-openstackclient (8.1.0+git2025070715.9d3a956a-0ubuntu2) questing; urgency=medium

  * d/p/fix-pyproject-auto-discovery.patch: Add patch to discover submodules at
    build time (ie, openstackclient-common, etc.). (LP: #2119562)
  * d/control: Add pybuild-plugin-pyproject to Build-Depends.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 05 Aug 2025 09:47:42 -0700

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=openstackclient
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make

=== debian/tests/control ===
Tests: client
Depends:
 python3-openstackclient,

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-openstackclient/ python_openstackclient-(\d.*)\.tar\.gz

## python-openstackclient 8.3.0

=== debian/changelog ===
python-openstackclient (8.3.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 8.3.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 08:43:02 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-openstackclient/ python_openstackclient-(\d.*)\.tar\.gz

## python-openstackclient 9.0.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 sphinxcontrib-apidoc>=0.2.0 # BSD
 
 # redirect tests in docs
-whereto>=0.4.0 # Apache-2.0
+whereto>=0.5.0 # Apache-2.0
 
 # Install these to generate sphinx autodocs
 aodhclient>=0.9.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (9.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream:
    - Fix_openstack_quota_show_without_cinder.patch
    - add-missing-backup_id-field.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 19:32:22 +0100

python-openstackclient (8.2.0-9) unstable; urgency=medium

  * Correctly (build-)depends on python3-openstacksdk >= 4.7.2.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Dec 2025 13:45:49 +0100

python-openstackclient (8.2.0-8) unstable; urgency=medium

  * Add add-missing-backup_id-field.patch (Closes: #1123450).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2025 15:46:18 +0100

python-openstackclient (8.2.0-7) unstable; urgency=medium

  * Removed Gustavo Panizzo from uploaders (Closes: #1114572).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 15:41:20 +0100

python-openstackclient (8.2.0-6) unstable; urgency=medium

  * Add python3-vmmsclient as build-depends to add it to bash-completion.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Nov 2025 08:25:10 +0100

python-openstackclient (8.2.0-5) unstable; urgency=medium

  * Removed python3-senlinclient as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Oct 2025 12:46:56 +0200

python-openstackclient (8.2.0-4) unstable; urgency=medium

  * Add Fix_openstack_quota_show_without_cinder.patch (Closes: #1109288)

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Oct 2025 00:00:19 +0200

python-openstackclient (8.2.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:46:24 +0200

python-openstackclient (8.2.0-2) experimental; urgency=medium

  * Add package-all-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 09:27:28 +0200

python-openstackclient (8.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed openstacksdk version in d/control.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Aug 2025 15:10:47 +0200

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Sakirnth Nagarasa <sakirnth@gmail.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-aodhclient <!nodoc>,
 python3-barbicanclient <!nodoc>,
 python3-cinderclient,
 python3-cliff (>= 4.13.0),
 python3-cloudkittyclient <!nodoc>,
 python3-coverage,
 python3-cryptography,
 python3-ddt,
 python3-designateclient <!nodoc>,
 python3-fixtures,
 python3-glanceclient,
 python3-gnocchiclient <!nodoc>,
 python3-hacking,
 python3-heatclient <!nodoc>,
 python3-ironic-inspector-client <!nodoc>,
 python3-ironicclient <!nodoc>,
 python3-iso8601,
 python3-keyring,
 python3-keystoneclient,
 python3-manilaclient <!nodoc>,
 python3-mistralclient <!nodoc>,
 python3-neutronclient <!nodoc>,
 python3-octaviaclient <!nodoc>,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 4.7.2),
 python3-osc-lib,
 python3-osc-placement,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-osprofiler,
 python3-requests,
 python3-requests-mock,
 python3-searchlightclient <!nodoc>,
 python3-simplejson,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-subunit <!nocheck>,
 python3-tempest <!nocheck>,
 python3-testtools <!nocheck>,
 python3-troveclient <!nodoc>,
 python3-vmmsclient,
 python3-watcherclient,
 python3-wrapt,
 python3-zaqarclient <!nodoc>,
 python3-zunclient <!nocheck>,
 python3-zunclient <!nodoc>,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-openstackclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

Package: python3-openstackclient
Architecture: all
Depends:
 python3-cinderclient,
 python3-cliff (>= 4.13.0),
 python3-cryptography,
 python3-glanceclient,
 python3-iso8601,
 python3-keyring,
 python3-keystoneclient,
 python3-neutronclient,
 python3-openstacksdk (>= 4.7.2),
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-pbr,
 python3-requests,
 python3-simplejson,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python-openstackclient-doc,
 ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.
